<script lang="ts">
	import '$lib/styles/app.css';
	import YouWinModal from '$lib/components/YouWinModal.svelte';

	let showGift = false;
</script>

<div
	class="tw-flex tw-flex-col tw-h-screen tw-justify-end tw-bg-black sm:tw-p-6 tw-overflow-hidden"
>
	{#if showGift}
		<YouWinModal />
	{:else}
		<div class="tw-flex tw-flex-col tw-items-center tw-justify-center tw-gap-x-[56px]">
			<button
				class="tw-bg-[url('/btn-bg.svg')] tw-bg-contain tw-bg-center tw-bg-no-repeat tw-py-3 tw-px-14"
				on:click={() => (showGift = true)}
			>
				<span
					class="tw-bg-gradient-to-b tw-from-[#FCE361] tw-to-[#E63801] tw-bg-clip-text tw-text-transparent tw-text-base tw-font-bold"
					>Show Gift</span
				>
			</button>
		</div>
	{/if}
</div>
